Package org.pushingpixels.flamingo.api.ribbon.resize

# Class CoreRibbonResizePolicies.FlowThreeRows

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizePolicy<JFlowBandControlPanel>
org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizePolicies.FlowThreeRows

All Implemented Interfaces:
  `RibbonBandResizePolicy`

Enclosing class:
  `CoreRibbonResizePolicies`

public static class CoreRibbonResizePolicies.FlowThreeRows extends BaseRibbonBandResizePolicy<JFlowBandControlPanel>
Core resize policy for `JFlowRibbonBand` that places the content in three rows.

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizePolicy

`controlPanel`

## Constructor Summary

Constructors
Constructor
Description
`FlowThreeRows(JFlowBandControlPanel controlPanel)`
Creates a new three-row resize policy for `JFlowRibbonBand`s.

## Method Summary

Modifier and Type
Method
Description
`int`
`getPreferredWidth(int availableHeight, int gap)`
Returns the preferred width of the associated ribbon band under the specified dimensions.
`void`
`install(int availableHeight, int gap)`
Installs this resize policy on the associated ribbon band.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlowThreeRows

public FlowThreeRows(JFlowBandControlPanel controlPanel)
Creates a new three-row resize policy for `JFlowRibbonBand`s.

Parameters:
  `controlPanel` - The control panel of the associated ribbon band.

## Method Details

### getPreferredWidth

public int getPreferredWidth(int availableHeight, int gap)
Description copied from interface: `RibbonBandResizePolicy`
Returns the preferred width of the associated ribbon band under the specified dimensions.

Parameters:
  `availableHeight` - The height available for the associated ribbon band.
  `gap` - The inter-component gap.
Returns:
  The preferred width of the associated ribbon band under the specified dimensions.

### install

public void install(int availableHeight, int gap)
Description copied from interface: `RibbonBandResizePolicy`
Installs this resize policy on the associated ribbon band. For `JFlowRibbonBand`s only changes the bounds of the flow components. For `JRibbonBand`s can also change the display state of the command buttons (with `AbstractCommandButton.setDisplayState(org.pushingpixels.flamingo.api.common.CommandButtonDisplayState)` ) and the number of visible buttons in the ribbon galleries. Note that this method is for internal use only and should not be called by the application code.

Parameters:
  `availableHeight` - The height available for the associated ribbon band.
  `gap` - The inter-component gap.